//
//  Badge.frag
//  ExplorerGlobe
//
//  Created by Nick Rudolfsky on 6/4/19.
//  Copyright © 2019 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif

uniform mat4 u_modelViewProjectionMatrix;

attribute vec3 a_position;
attribute vec2 a_st;
attribute vec4 a_color;

varying vec4 v_color;
varying vec2 v_st;


void main()
{
    v_color = a_color;
    v_st = a_st;
    gl_Position = u_modelViewProjectionMatrix * vec4(a_position, 1.0 );
}
