//
//  Population.frag
//  ExplorerGlobe
//
//  Created by Nick Rudolfsky on 9/4/19.
//  Copyright © 2019 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif

varying mediump vec2 v_st;

uniform sampler2D u_texture;
uniform vec3 u_color;


void main()
{
    vec4 texColor = texture2D(u_texture, v_st);
    float alpha = texColor.a;
    gl_FragColor = vec4(texColor.rgb * u_color * alpha, alpha);
}
