//
//  SmuleGlobeGlow.frag
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 4/12/16.
//  Copyright © 2016 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif


uniform vec3 u_glowColor;
uniform float u_glowAmount;

varying float v_glow;


void main()
{
    float glowAmount = pow(v_glow, u_glowAmount);
    vec3 glowColor = u_glowColor * glowAmount;
    gl_FragColor = vec4(glowColor, glowAmount);
}
