//
//  SimpleSprite.vert
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//

uniform mat4 u_modelViewProjectionMatrix;

attribute vec3 a_position;
attribute vec2 a_st;
attribute vec4 a_color;

#ifdef GL_ES
varying lowp vec4 v_color;
varying mediump vec2 v_st;
#else
varying vec4 v_color;
varying vec2 v_st;
#endif

void main()
{
    v_color = a_color;
    v_st = a_st;
    gl_Position = u_modelViewProjectionMatrix * vec4( a_position.x, a_position.y, a_position.z, 1.0 );
}
