//
//  SmuleGlobeGlow.vert
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 4/12/16.
//  Copyright © 2016 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif


attribute vec3 a_position;
attribute float a_glow;

uniform mat4 u_modelViewProjectionMatrix;

varying float v_glow;


void main()
{
    v_glow = a_glow;
    gl_Position = u_modelViewProjectionMatrix * vec4(a_position, 1.0);
}
